# Design Principles

The following points form the basis for all design decisions made within the
Isle project.

* The UX is aggressively optimized to eliminate manual intervention by users.
  All other concerns are secondary. The concept of "UX" extends beyond GUI
  interfaces, and encompasses all interactions of any sort with an isle
  process.

* All resources within an isle network are expected to be hosted on hardware
  owned by community members, for example home media servers or gaming rigs.
  Thus, an isle is fully autonomous.

* Hardware resources are expected to be heterogenous and geographically
  dispersed.

* It is expected that a single host might be a part of multiple, independent
  isle networks. These should not conflict with each other, nor share resources.

