{

  buildSystem ? builtins.currentSystem,
  hostSystem ? buildSystem,
  pkgsNix ? (import ../nix/pkgs.nix),

}: let
  pkgs = pkgsNix.default {
    inherit buildSystem hostSystem;
  };
in
  pkgs.mkShell {
    name = "isle-build-docs";
    buildInputs = [ pkgs.plantuml ];
    shellHook = ''
      set -e
      plantuml -tsvg ./dev/*.plantuml
      exit 0
    '';
  }
